## apport 2.20.11-0ubuntu27.20

=== debian/changelog ===
apport (2.20.11-0ubuntu27.20) focal-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read (LP: #1934308)
    - data/general-hooks/ubuntu.py: don't attempt to include emacs
      byte-compilation logs, they haven't been generated by the emacs
      packages in a long time.
    - CVE-2021-3709
  * SECURITY UPDATE: Info disclosure via path traversal (LP: #1933832)
    - apport/hookutils.py, test/test_hookutils.py: detect path traversal
      attacks, and directory symlinks.
    - CVE-2021-3710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Aug 2021 10:30:01 -0400

apport (2.20.11-0ubuntu27.18) focal-security; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu27.17) focal; urgency=medium

  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)
  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Apr 2021 13:28:49 -0700

apport (2.20.11-0ubuntu27.16) focal-security; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2021 07:21:46 -0500

apport (2.20.11-0ubuntu27.14) focal; urgency=medium

  * data/apport: only drop supplemental groups if the user is root. (LP: #1906565)

 -- Brian Murray <brian@ubuntu.com>  Thu, 03 Dec 2020 09:26:27 -0800

apport (2.20.11-0ubuntu27.13) focal; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Nov 2020 14:40:03 -0800

apport (2.20.11-0ubuntu27.12) focal-security; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Nov 2020 15:03:57 -0500

apport (2.20.11-0ubuntu27.11) focal; urgency=medium

  * data/apport: In the event that the crashing executable does not exist on
    disk any more the path name of the executable (passed by core) is appended
    with '(deleted)' because apport is currently using sys.argv for argument
    parsing there end up being too many arguments and apport crashes. This is
    fixed by adding handling for six arguments. (LP: #1899195)

 -- Brian Murray <brian@ubuntu.com>  Fri, 16 Oct 2020 13:30:49 -0700

apport (2.20.11-0ubuntu27.10) focal; urgency=medium

  * apport/hookutils.py: call dump_acpi_tables.py with root_command_output
    thereby avoiding a PermissionError. (LP: #1895865)
  * data/dump_acpi_tables.py: If the user cannot read the acpi tables don't
    try and print them. (LP: #1895865)

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Sep 2020 08:47:49 -0700

apport (2.20.11-0ubuntu27.9) focal; urgency=medium

  [ YC Cheng ]
  * apport/apport/hookutils.py: add acpidump using built-in
    dump_acpi_tables.py. (LP: #1888352)
  * bin/oem-getlogs: add "-E" in the usage, since we'd like to talk to
    pulseaudio session and that need environment infomation. Also remove
    acpidump since we will use the one from hook.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Sep 2020 09:48:39 -0700

apport (2.20.11-0ubuntu27.8) focal; urgency=medium

  [Brian Murray]
  * Fix pep8 errors regarding ambiguous variables.

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Sun, 09 Aug 2020 13:43:11 +0200

apport (2.20.11-0ubuntu27.7) focal; urgency=medium

  * d/control: Offer real package alternatives along with x-terminal-server
    for apport-gtk and apport-kde (LP: #1881976)

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Wed, 05 Aug 2020 10:55:40 +0200

apport (2.20.11-0ubuntu27.6) focal-security; urgency=medium

  * SECURITY UPDATE: information disclosure issue (LP: #1885633)
    - data/apport: also drop gid when checking if user session is closing.
    - CVE-2020-11936
  * SECURITY UPDATE: crash via malformed ignore file (LP: #1877023)
    - apport/report.py: don't crash on malformed mtime values.
    - CVE-2020-15701
  * SECURITY UPDATE: TOCTOU in core file location
    - data/apport: make sure the process hasn't been replaced after Apport
      has started.
    - CVE-2020-15702


=== debian/control ===
Source: apport
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
 dh-translations,
 dh-systemd,
 gdb,
 python3-gi,
 gir1.2-glib-2.0 (>= 1.29.17),
 lsb-release,
 net-tools,
 python3-all
Build-Depends-Indep: python3-distutils-extra (>= 2.24~),
 python3-apt (>= 0.7.9),
 python3-requests-unixsocket,
 dh-python,
 intltool,
 xvfb,
 python3-mock,
 procps,
 psmisc,
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 pycodestyle | pep8,
 pyflakes,
 xterm,
 dbus-x11,
 gvfs-daemons,
 libglib2.0-dev,
 libc6-dbg | libc-dbg,
 default-jdk | java-sdk
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.9.8
X-Python3-Version: >= 3.0
Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/focal/apport/ubuntu
Homepage: https://wiki.ubuntu.com/Apport

Package: apport
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-gi,
 gir1.2-glib-2.0 (>= 1.29.17),
 ${misc:Depends}
Recommends: apport-symptoms, python3-systemd
Suggests: apport-gtk | apport-kde, policykit-1
Replaces: python-apport (<< 2.2-0ubuntu1), core-dump-handler
Breaks: python-apport (<< 2.2-0ubuntu1)
Conflicts: core-dump-handler
Provides: core-dump-handler
Description: automatically generate crash reports for debugging
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package also provides a command line frontend for browsing and
 handling the crash reports. For desktops, you should consider
 installing the GTK+ or Qt user interface (apport-gtk or apport-kde).

Package: python3-problem-report
Section: python
Architecture: all
Depends: ${python3:Depends},
 ${misc:Depends}
Description: Python 3 library to handle problem reports
 This Python library provides an interface for creating, modifying,
 and accessing standardized problem reports for program and kernel
 crashes and packaging bugs.
 .
 These problem reports use standard Debian control format syntax
 (RFC822).

Package: python3-apport
Section: python
Architecture: all
Depends: ${python3:Depends},
 python3-apt (>= 0.7.9),
 python3-httplib2,
 python3-problem-report (>= 0.94),
 python3-requests-unixsocket,
 lsb-release,
 python3-launchpadlib,
 ${misc:Depends}
Recommends: apport
Description: Python 3 library for Apport crash report handling
 This Python package provides high-level functions for creating and
 handling apport crash reports:
 .
  * Query available and new reports.
  * Add OS, packaging, and process runtime information to a report.
  * Various frontend utility functions.
  * Python hook to generate crash reports when Python scripts fail.

Package: apport-retrace
Section: devel
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 python3-launchpadlib,
 apt,
 binutils,
 dpkg-dev,
 gdb,
 libc6-dbg | libc6-dbgsym | libc-dbg,
 ${misc:Depends}
Suggests: gdb-multiarch
Description: tools for reprocessing Apport crash reports
 apport-retrace recombines an Apport crash report (either a file or a
 Launchpad bug) and debug symbol packages (.ddebs) into fully symbolic
 stack traces. This can optionally use a sandbox for installing debug symbol
 packages and doing the processing, so that entire process of retracing crashes
 can happen with normal user privileges without changing the system.
 .
 You need to install gdb-multiarch if you want to be able to retrace crash
 reports which happened on a different architecture than the one you run
 apport-retrace on.

Package: apport-valgrind
Section: devel
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 apt,
 binutils,
 valgrind (>= 3.8.1-1ubuntu1~),
 dpkg-dev,
 libc6-dbg | libc6-dbgsym | libc-dbg,
 ${misc:Depends}
Description: valgrind wrapper that first downloads debug symbols
 apport-valgrind is a valgrind wrapper that automatically downloads related
 available debug symbols and provides them to valgrind's memcheck tool, which
 is executed. The output is a valgrind log file ("valgrind.log") that contains
 stack traces (with as many symbols resolved as available) and that shows
 memory leaks.

Package: apport-gtk
Section: gnome
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 gir1.2-gtk-3.0 (>= 3.1.90),
 gir1.2-wnck-3.0,
 python3-gi,
 apport (>= 0.41),
 procps,
 gnome-terminal | x-terminal-emulator,
 whoopsie-preferences,
 ${misc:Depends}
Recommends: update-notifier, gdb | gdb-minimal
Description: GTK+ frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a GTK+ frontend for browsing and handling the
 crash reports.

Package: apport-kde
Section: kde
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 python3-pyqt5,
 apport (>= 0.41),
 procps,
 konsole | x-terminal-emulator,
 ${misc:Depends}
Recommends: kubuntu-notification-helper | lxqt-notificationd, gdb-minimal | gdb
Description: KDE frontend for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a KDE frontend for browsing and handling the
 crash reports.

Package: dh-apport
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${perl:Depends},
 ${misc:Depends}
Description: debhelper extension for the apport crash report system
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 This package provides a debhelper extension to make it easier for other
 packages to include apport hooks.

Package: apport-noui
Section: utils
Architecture: all
Depends: python3,
 python3-apport (>= ${source:Version}),
 apport (>= 2.20.10-0ubuntu4),
 procps,
 gdb-minimal | gdb,
 whoopsie,
 ${misc:Depends}
Description: tools for automatically reporting Apport crash reports
 apport automatically collects data from crashed processes and
 compiles a problem report in /var/crash/. This utilizes the crashdump
 helper hook provided by the Ubuntu kernel.
 .
 Installing this package will configure your system to automatically submit
 all new Apport crash reports.

## apport 2.20.11-0ubuntu27.21

=== debian/changelog ===
apport (2.20.11-0ubuntu27.21) focal-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via core files
    - refactor privilege dropping and create core files in a well-known
      directory in apport/fileutils.py, apport/report.py, data/apport,
      test/test_fileutils.py, test/test_report.py,
      test/test_signal_crashes.py, test/test_ui.py.
    - use systemd-tmpfiles to create and manage the well-known core file
      directory in setup.py, data/systemd/apport.conf,
      debian/apport.install.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Oct 2021 07:48:31 -0400

## apport 2.20.11-0ubuntu27.22

=== debian/changelog ===
apport (2.20.11-0ubuntu27.22) focal; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 16 Feb 2022 11:32:21 -0500

## apport 2.20.11-0ubuntu27.26

=== debian/changelog ===
apport (2.20.11-0ubuntu27.26) focal-security; urgency=medium

  * SECURITY UPDATE: viewing an apport-cli crash with default pager could
    escalate privilege (LP: #2016023)
    - apport/ui.py, apport/user_group.py, bin/apport-cli: drops privilege to
      users environment before execution (using sudo)
    - test/test_ui.py, test/test_user/group.py: Add test cases for new code
    - CVE-2023-1326

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 12 Apr 2023 18:41:51 +0200

apport (2.20.11-0ubuntu27.25) focal; urgency=medium

  * Point Vcs-* URIs to git
  * whoopsie-upload-all: Catch FileNotFoundError during process_report
    (LP: #1867204)
  * Grab a slice of JournalErrors around the crash time (LP: #1962454)
  * data/apport:
    - Initialize error log as first step (LP: #1989467)
    - Fix PermissionError for setuid programs inside container (LP: #1982487)
    - Fix reading from stdin inside containers (LP: #1982555)
  * Fix autopkgtest test case failures (LP: #1989467):
    - Mark autopkgtest with isolation-container restriction
    - Fix failure if kernel module isofs is not installed
    - Do not check recommended dependencies
    - Skip UI test if kernel thread is not found
    - Fix race in test_crash_system_slice
    - Fix check for not running test executable
    - Use shadow in *_different_binary_source
    - Mock kernel package version in UI test
    - Fix test_kerneloops_nodetails if kernel is not installed
    - Drop broken test_crash_setuid_drop_and_kill
    - Expect linux-signed on arm64/s390x as well
    - Skip SegvAnalysis for non x86 architectures
    - Use unlimited core ulimit for SIGQUIT test
    - Fix race with progress window in GTK UI tests
    - Use sleep instead of yes for tests
    - Fix test_add_gdb_info_script on armhf
    - Fix wrong Ubuntu archive URI on ports
    - Fix KeyError in test_install_packages_unversioned
    - Depend on python3-systemd for container tests
    - Depend on psmisc for killall binary
    - Replace missing oxideqt-codecs
    - Drop broken test_install_packages_from_launchpad
    - Fix test_install_packages_permanent_sandbox* for s390x

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 15 Sep 2022 14:43:39 +0200

apport (2.20.11-0ubuntu27.24) focal-security; urgency=medium

  * SECURITY UPDATE: Fix multiple security issues
    - test/test_report.py: Fix flaky test.
    - data/apport: Fix too many arguments for error_log().
    - data/apport: Use proper argument variable name executable_path.
    - etc/init.d/apport: Set core_pipe_limit to a non-zero value to make
      sure the kernel waits for apport to finish before removing the /proc
      information.
    - apport/fileutils.py, data/apport: Search for executable name if one
      wan't provided such as when being called in a container.
    - data/apport: Limit memory and duration of gdbus call. (CVE-2022-28654,
      CVE-2022-28656)
    - data/apport, apport/fileutils.py, test/test_fileutils.py: Validate
      D-Bus socket location. (CVE-2022-28655)
    - apport/fileutils.py, test/test_fileutils.py: Turn off interpolation
      in get_config() to prevent DoS attacks. (CVE-2022-28652)
    - Refactor duplicate code into search_map() function.
    - Switch from chroot to container to validating socket owner.
      (CVE-2022-1242, CVE-2022-28657)
    - data/apport: Clarify error message.
    - apport/fileutils.py: Fix typo in comment.
    - apport/fileutils.py: Do not call str in loop.
    - data/apport, etc/init.d/apport: Switch to using non-positional
      arguments. Get real UID and GID from the kernel and make sure they
      match the process. Also fix executable name space handling in
      argument parsing. (CVE-2022-28658, CVE-2021-3899)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 May 2022 09:23:35 -0400

apport (2.20.11-0ubuntu27.23) focal; urgency=medium

  * Fix expanded symlinks from the previous build

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 30 Mar 2022 13:03:09 -0500

## apport 2.20.11-0ubuntu27.27

=== debian/changelog ===
apport (2.20.11-0ubuntu27.27) focal; urgency=medium

  * whoopsie-upload-all: Catch zlib.error when decoding CoreDump from
    crash file (LP: #1947800)
  * Fix KeyError: 'CasperMD5json' (LP: #1964828)
  * apport-kde: Fix inverse order of choices (LP: #1967965)
  * apport-unpack: Fix ValueError: ['separator'] has no binary content
    (LP: #1889443)
  * test:
    - Clear environment for test_run_as_real_user_no_sudo
    - Mock add_gdb_info calls in KDE UI tests
    - Fix KDE UI tests if whoopsie.path is disabled
    - Fix race with progress dialog in KDE UI tests
    - Run UI KDE tests again
    - Determine source package dynamically in test_run_crash_kernel
      (LP: #1992172)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 14 Apr 2023 01:17:21 +0200

## apport 2.20.11-0ubuntu27.29

=== debian/changelog ===
apport (2.20.11-0ubuntu27.29) focal-security; urgency=medium

  * SECURITY REGRESSION: apport not generating core dumps inside containers
    (LP: #2112272)
    - data/apport: Check the exe mtime within the proc root mount.

 -- Octavio Galland <octavio.galland@canonical.com>  Wed, 04 Jun 2025 15:49:22 -0300

apport (2.20.11-0ubuntu27.28) focal-security; urgency=medium

  * SECURITY UPDATE: Insecure report permissions (LP: #2106338)
    - data/apport: Do not change report group to report owners primary group.
    - CVE-2025-5467
  * SECURITY UPDATE: Race condition when forwarding core files to containers
    (LP: #2107472)
    - data/apport: Do not override options.pid.
    - data/apport: Open /proc/<pid> as early as possible.
    - data/fileutils.py: Respect proc_pid_fd in get_core_path.
    - test/test_fileutils.py: Respect proc_pid_fd in get_core_path.
    - data/apport: Use opened /proc/<pid> everywhere.
    - data/apport: Do consistency check before forwarding crashes.
    - data/apport: Require --dump-mode to be specified.
    - data/apport: Determine report owner by dump_mode.
    - test/test_signal_crashes.py: Determine report owner by dump_mode.
    - data/apport: Do not forward crash for dump_mode == 2.
    - data/apport: Support pidfd (%F) parameter from kernel.
    - etc/init.d/apport: Support pidfd (%F) parameter from kernel.
    - CVE-2025-5054

 -- Octavio Galland <octavio.galland@canonical.com>  Thu, 22 May 2025 17:30:20 -0300

## apport 2.20.11-0ubuntu27.30

=== debian/changelog ===
apport (2.20.11-0ubuntu27.30) focal-security; urgency=medium

  * SECURITY REGRESSION: exception during core dump handling (LP: #2112466)
    - data/apport: Catch FileNotFoundError when trying to open /proc/<pid>.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 08 Jul 2025 13:15:40 -0300

## apport 2.20.11-0ubuntu27.31

=== test/data/testclick/click/CMakeLists.txt ===
configure_file(manifest.json.in ${CMAKE_CURRENT_BINARY_DIR}/manifest.json)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/manifest.json
    DESTINATION ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
apport (2.20.11-0ubuntu27.31) focal-security; urgency=medium

  * SECURITY REGRESSION: Type error during error handling (LP: #2117236)
    - data/apport: Use correct format specifier during error handling when
      /proc/<pid> is not found.

 -- Octavio Galland <octavio.galland@canonical.com>  Tue, 29 Jul 2025 12:58:42 -0300

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/focal/apport/ubuntu
+Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/focal
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport

## apport 2.20.11-0ubuntu50

=== debian/changelog ===
apport (2.20.11-0ubuntu50) groovy; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 20.10
    release.
  * data/apport: In the event that the crashing executable does not exist on
    disk any more the path name of the executable (passed by core) is appended
    with '(deleted)' because apport is currently using sys.argv for argument
    parsing there end up being too many arguments and apport crashes. This is
    fixed by adding handling for six arguments. (LP: #1899195)

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Oct 2020 13:44:05 -0700

apport (2.20.11-0ubuntu49) groovy; urgency=medium

  * data/whoopsie-upload-all: Handle the case where the .crash file is newer
    than the .uploaded file by removing the .uploaded and .upload files
    thereby causing the crash to get submitted. (LP: #1891657)

 -- Brian Murray <brian@ubuntu.com>  Thu, 01 Oct 2020 15:41:28 -0700

apport (2.20.11-0ubuntu48) groovy; urgency=medium

  * data/whoopsie-upload-all: When processing reports if a .crash file already
    has a corresponding .uploaded file which is newer than the .crash file
    remove the .crash file. This reduces the number of times the
    apport-autoreport.service runs. (LP: #1891657)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Sep 2020 14:49:27 -0700

apport (2.20.11-0ubuntu47) groovy; urgency=medium

  [ Tiago Stürmer Daitx ]
  * apport/ui.py: improve message when origin check fails as it can be
    caused by empty apt list - candidate is limited to dpkg and we can't
    tell where it came from. (LP: #1775219)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 15:02:17 -0700

apport (2.20.11-0ubuntu46) groovy; urgency=medium

  [ Brian Murray ]
  * apport/hookutils.py: call dump_acpi_tables.py with root_command_output
    thereby avoiding a PermissionError.
  * data/dump_acpi_tables.py: If the user cannot read the acpi tables don't
    try and print them. (LP: #1895865)
  * apport/hookutils.py: use root_command_output to gather dmesg rather than
    failing to include it. (LP: #1896095)

  [ YC Cheng ]
  * bin/oem-getlogs: add ucm2 directory. Per Hui Wang, ucm3 also
    use ucm2 directory.  (LP: #1893899)
  * apport/hookutils.py: add new pa-info command in pulseaudio
    pre requested by Hui Wang. (LP: #1893899)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Sep 2020 10:19:02 -0700

apport (2.20.11-0ubuntu45) groovy; urgency=medium

  [ YC Cheng ]
  * apport/hookutils.py: add acpidump using built-in dump_acpi_tables.py.
    (LP: #1888352)
  * bin/oem-getlogs: add "-E" in the usage, since we'd like to talk to
    pulseaudio session and that need environment infomation. Also remove
    acpidump since we will use the one from hook.

  [ Brian Murray ]
  * data/general-hooks/ubuntu.py: Check for /var/run/reboot-required.pkgs and
    add it to the report as RebootRequiredPkgs.

 -- Brian Murray <brian@ubuntu.com>  Wed, 26 Aug 2020 15:57:02 -0700

apport (2.20.11-0ubuntu44) groovy; urgency=medium

  * SECURITY UPDATE: information disclosure issue (LP: #1885633)
    - data/apport: also drop gid when checking if user session is closing.
    - CVE-2020-11936
  * SECURITY UPDATE: crash via malformed ignore file (LP: #1877023)
    - apport/report.py: don't crash on malformed mtime values.
    - CVE-2020-15701
  * SECURITY UPDATE: TOCTOU in core file location
    - data/apport: make sure the process hasn't been replaced after Apport
      has started.
    - CVE-2020-15702
  * apport/ui.py, test/test_ui.py: make sure a PID is specified when using
    --hanging (LP: #1876659)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 31 Jul 2020 09:10:30 -0400

apport (2.20.11-0ubuntu43) groovy; urgency=medium

  * d/control: Offer real package alternatives along with x-terminal-server
    for apport-gtk and apport-kde (LP: #1881976).

 -- Dariusz Gadomski <dgadomski@ubuntu.com>  Thu, 23 Jul 2020 08:52:46 +0200

apport (2.20.11-0ubuntu42) groovy; urgency=medium

  * Fix pep8 errors regarding ambiguous variables.

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Jun 2020 09:15:51 -0700

apport (2.20.11-0ubuntu41) groovy; urgency=medium

  [ Daniel Watkins ]
  * apport/crashdb_impl/launchpad.py: ensure that project will always be set
    in get_comment_url. (LP: #1884221)

  [ Brian Murray ]
  * data/dump_acpi_tables.py: update the output thanks to Alex Hung for the
    patch. (LP: #1883027)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Jun 2020 16:02:46 -0700

apport (2.20.11-0ubuntu40) groovy; urgency=medium

  * Build-depend on python3-requests-unixsocket.

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Jun 2020 12:30:43 -0700

apport (2.20.11-0ubuntu39) groovy; urgency=medium

  * Add functionality to apport so that ubuntu-bug can be used to report a bug
    about a snap using information from the snap's contact field. Thanks to
    Lukas Märdian for the patch. (LP: #1861082)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Jun 2020 11:25:22 -0700

apport (2.20.11-0ubuntu38) groovy; urgency=medium

  * apport/report.py: If the user is not a part of any system groups then
    set UserGroups to 'N/A'. (LP: #1427600)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Jun 2020 15:32:17 -0700

apport (2.20.11-0ubuntu37) groovy; urgency=medium

  * apport/report.py: If the user is not a part of any system groups then
    set UserGroups to an empty string. (LP: #1427600)

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Jun 2020 10:19:45 -0700

apport (2.20.11-0ubuntu36) groovy; urgency=medium

  * Build-depend on pyflakes3, not obsolete pyflakes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2020 08:18:11 -0700

apport (2.20.11-0ubuntu35) groovy; urgency=medium

  * kde/apport-kde: Stop showing 'text' instead of a useful string. Thanks to
    Launchpad user Niklas Sombert for the patch. (LP: #1879150)

 -- Brian Murray <brian@ubuntu.com>  Mon, 18 May 2020 10:28:25 -0700

apport (2.20.11-0ubuntu34) groovy; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  gir1.2-gtk-3.0 (>= 3.1.90),
  gir1.2-wnck-3.0,
  pycodestyle | pep8,
- pyflakes,
+ pyflakes3,
  xterm,
  dbus-x11,
  gvfs-daemons,
@@ -32,8 +32,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport/+git/apport
-Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/apport -b ubuntu/focal
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/groovy/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport

## apport 2.20.11-0ubuntu50.7

=== debian/changelog ===
apport (2.20.11-0ubuntu50.7) groovy-security; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu50.6) groovy; urgency=medium

  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)
  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)

 -- Brian Murray <brian@ubuntu.com>  Mon, 26 Apr 2021 12:45:36 -0700

apport (2.20.11-0ubuntu50.5) groovy-security; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 26 Jan 2021 07:21:46 -0500

apport (2.20.11-0ubuntu50.3) groovy; urgency=medium

  * data/apport: only drop supplemental groups if we are root. (LP: #1906565)

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 12:51:33 -0800

apport (2.20.11-0ubuntu50.2) groovy; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)

 -- Brian Murray <brian@ubuntu.com>  Mon, 16 Nov 2020 14:33:58 -0800

apport (2.20.11-0ubuntu50.1) groovy-security; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Nov 2020 15:03:57 -0500

## apport 2.20.11-0ubuntu65

=== debian/changelog ===
apport (2.20.11-0ubuntu65) hirsute; urgency=medium

  * test/test_backend_apt_dpkg.py: libc6 recommends packages, some of which
    are not installed on buildds now, so switch to testing libc-bin which only
    has dependencies and is what the test is supposed to test.

 -- Brian Murray <brian@ubuntu.com>  Wed, 14 Apr 2021 13:52:22 -0700

apport (2.20.11-0ubuntu64) hirsute; urgency=medium

  * apport/hookutils.py: Do not crash when deleting CasperMD5json from the
    report. (LP: #1923541)

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 07:25:43 -0700

apport (2.20.11-0ubuntu63) hirsute; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 21.04
    release.

 -- Brian Murray <brian@ubuntu.com>  Mon, 12 Apr 2021 10:34:56 -0700

apport (2.20.11-0ubuntu62) hirsute; urgency=medium

  * apport/hookutils.py: spawn pkttyagent so that log files can be gathered as
    root in a non-graphical environment (LP: #1821415). Thanks to Iain Lane
    for the patch.
  * apport/hookutils.py: root access is needed to read the
    casper-md5check.json file so switch to using that. (LP: #1922937)
  * data/general-hooks/ubuntu.py: improving tagging of bugs from images we
    create so that they are tagged $arch-image and better identify Raspberry
    Pi devices (LP: #1920837). Thanks to Dave Jones for the patch.

 -- Brian Murray <brian@ubuntu.com>  Wed, 07 Apr 2021 13:14:04 -0700

apport (2.20.11-0ubuntu61) hirsute; urgency=medium

  * apport/hookutils.py: when creating KernLog with MAC information use
    root_command_output with dmesg. Missed when fixing LP #1896095.
  * data/general-hooks/ubuntu.py: tag bugs from Raspberry Pi images and RISCV
    images appropriately. (LP: #1920837)

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Mar 2021 08:07:43 -0700

apport (2.20.11-0ubuntu60) hirsute; urgency=medium

  * Drop dh-systemd build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 10 Mar 2021 16:45:45 +0100

apport (2.20.11-0ubuntu59) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:09:46 +0000

apport (2.20.11-0ubuntu58) hirsute; urgency=medium

  [ Shivaram Lingamneni ]
  * Remove dependency on python3-requests thereby reducing memory usage of
    apport.

 -- Brian Murray <brian@ubuntu.com>  Mon, 15 Feb 2021 09:39:13 -0800

apport (2.20.11-0ubuntu57) hirsute; urgency=medium

  * SECURITY UPDATE: multiple security issues (LP: #1912326)
    - CVE-2021-25682: error parsing /proc/pid/status
    - CVE-2021-25683: error parsing /proc/pid/stat
    - CVE-2021-25684: stuck reading fifo
    - data/apport: make sure existing report is a regular file.
    - apport/fileutils.py: move some logic here to skip over manipulated
      process names and filenames.
    - test/test_fileutils.py: added some parsing tests.

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Feb 2021 12:42:44 -0800

apport (2.20.11-0ubuntu56) hirsute; urgency=medium

  * test/test_backend_apt_dpkg.py: switch to using packages from the
    apport-hackers PPA which are less likely to be deleted by random house
    keeping.
  * apport/hookutils.py: change the default value of CasperMD5CheckResult to
    unknown as that more accurately reflects the case where the file does not
    exist. Thanks to Walter Lapchynski for the fix.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Jan 2021 15:34:23 -0800

apport (2.20.11-0ubuntu55) hirsute; urgency=medium

  * data/apport: only drop supplemental groups if the user is root.

 -- Brian Murray <brian@ubuntu.com>  Wed, 02 Dec 2020 14:40:29 -0800

apport (2.20.11-0ubuntu54) hirsute; urgency=medium

  * Fix for Python 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 30 Nov 2020 17:18:23 +0100

apport (2.20.11-0ubuntu53) hirsute; urgency=medium

  * Various security hardening fixes (LP: #1903332)
    - apport/fileutils.py: drop privileges in the correct order, limit
      settings file size.
    - apport/apport/report.py: properly drop privileges, limit ignore file
      size.
    - data/apport: drop supplemental groups.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Nov 2020 09:41:34 -0500

apport (2.20.11-0ubuntu52) hirsute; urgency=medium

  * apport/report.py, test/test_report.py, test/test_ui.py,
    test/test_ui_gtk.py: handle the fact that gdb now returns a different
    error message for truncated core files and patch out add_gdb_info from a
    bunch of tests which don't need to run it.

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Nov 2020 12:46:41 -0800

apport (2.20.11-0ubuntu51) hirsute; urgency=medium

  * data/apport: Modify the check for whether or not a process is running in
    the same namespace so that crashes from processes running protected in the
    system.slice are considered as being from the same namespace. (LP: #1870060)
  * etc/apport/crashdb.conf: Enable Launchpad crash reports for 21.04.

 -- Brian Murray <brian@ubuntu.com>  Wed, 04 Nov 2020 13:40:41 -0800

## apport 2.20.11-0ubuntu65.3

=== debian/changelog ===
apport (2.20.11-0ubuntu65.3) hirsute-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file read (LP: #1934308)
    - data/general-hooks/ubuntu.py: don't attempt to include emacs
      byte-compilation logs, they haven't been generated by the emacs
      packages in a long time.
    - CVE-2021-3709
  * SECURITY UPDATE: Info disclosure via path traversal (LP: #1933832)
    - apport/hookutils.py, test/test_hookutils.py: detect path traversal
      attacks, and directory symlinks.
    - CVE-2021-3710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Aug 2021 10:55:40 -0400

apport (2.20.11-0ubuntu65.1) hirsute-security; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

## apport 2.20.11-0ubuntu65.4

=== debian/changelog ===
apport (2.20.11-0ubuntu65.4) hirsute-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via core files
    - refactor privilege dropping and create core files in a well-known
      directory in apport/fileutils.py, apport/report.py, data/apport,
      test/test_fileutils.py, test/test_report.py,
      test/test_signal_crashes.py, test/test_ui.py.
    - use systemd-tmpfiles to create and manage the well-known core file
      directory in setup.py, data/systemd/apport.conf,
      debian/apport.install.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Oct 2021 07:48:31 -0400

## apport 2.20.11-0ubuntu68

=== debian/changelog ===
apport (2.20.11-0ubuntu68) impish; urgency=medium

  * data/package-hooks/source_ubiquity.py: confirm that the key exists in the
    report before trying to manipulate it. (LP: #1929292)
  * backends/packaging-apt-dpkg.py: check to see if there is a different
    package which provides the dependency.
  * test/test_report.py: with glibc 2.34 abort tests started failing as the
    backtrace didn't have a program counter value in frame 1 so check frame 1
    or frame 2.

 -- Brian Murray <brian@ubuntu.com>  Thu, 19 Aug 2021 16:32:29 -0700

apport (2.20.11-0ubuntu67) impish; urgency=medium

  * SECURITY UPDATE: Multiple arbitrary file reads (LP: #1917904)
    - apport/hookutils.py: don't follow symlinks and make sure the file
      isn't a FIFO in read_file().
    - test/test_hookutils.py: added symlink tests.
    - CVE-2021-32547, CVE-2021-32548, CVE-2021-32549, CVE-2021-32550,
      CVE-2021-32551, CVE-2021-32552, CVE-2021-32553, CVE-2021-32554,
      CVE-2021-32555
  * SECURITY UPDATE: info disclosure via modified config files spoofing
    (LP: #1917904)
    - backends/packaging-apt-dpkg.py: properly terminate arguments in
      get_modified_conffiles.
    - CVE-2021-32556
  * SECURITY UPDATE: arbitrary file write (LP: #1917904)
    - data/whoopsie-upload-all: don't follow symlinks and make sure the
      file isn't a FIFO in process_report().
    - CVE-2021-32557

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 May 2021 09:15:10 -0400

apport (2.20.11-0ubuntu66) impish; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for impish.

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 May 2021 15:39:35 -0700

## apport 2.20.11-0ubuntu69

=== debian/changelog ===
apport (2.20.11-0ubuntu69) impish; urgency=medium

  * SECURITY UPDATE: Arbitrary file read (LP: #1934308)
    - data/general-hooks/ubuntu.py: don't attempt to include emacs
      byte-compilation logs, they haven't been generated by the emacs
      packages in a long time.
    - CVE-2021-3709
  * SECURITY UPDATE: Info disclosure via path traversal (LP: #1933832)
    - apport/hookutils.py, test/test_hookutils.py: detect path traversal
      attacks, and directory symlinks.
    - CVE-2021-3710

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Aug 2021 10:55:40 -0400

## apport 2.20.11-0ubuntu70

=== debian/changelog ===
apport (2.20.11-0ubuntu70) impish; urgency=medium

  * etc/apport/crashdb.conf: Disable Launchpad crash reports for 21.10
    release.
  * debian/tests/upstream-system: Set /proc/sys/kernel/core_uses_pid to 0 as
    that's the easiest way to fix tests that expect the core file to be named
    core and not core.PID

 -- Brian Murray <brian@ubuntu.com>  Mon, 04 Oct 2021 13:14:35 -0700

## apport 2.20.11-0ubuntu71

=== debian/changelog ===
apport (2.20.11-0ubuntu71) impish-security; urgency=medium

  * SECURITY UPDATE: Privilege escalation via core files
    - refactor privilege dropping and create core files in a well-known
      directory in apport/fileutils.py, apport/report.py, data/apport,
      test/test_fileutils.py, test/test_report.py,
      test/test_signal_crashes.py, test/test_ui.py.
    - use systemd-tmpfiles to create and manage the well-known core file
      directory in setup.py, data/systemd/apport.conf,
      debian/apport.install.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 18 Oct 2021 07:48:31 -0400

## apport 2.20.11-0ubuntu71.1

=== debian/changelog ===
apport (2.20.11-0ubuntu71.1) impish; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947). 

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 16 Feb 2022 12:16:27 -0500

## apport 2.20.11-0ubuntu71.2

=== debian/changelog ===
apport (2.20.11-0ubuntu71.2) impish-security; urgency=medium

  * SECURITY UPDATE: Fix multiple security issues
    - test/test_report.py: Fix flaky test.
    - data/apport: Fix too many arguments for error_log().
    - data/apport: Use proper argument variable name executable_path.
    - etc/init.d/apport: Set core_pipe_limit to a non-zero value to make
      sure the kernel waits for apport to finish before removing the /proc
      information.
    - apport/fileutils.py, data/apport: Search for executable name if one
      wan't provided such as when being called in a container.
    - data/apport: Limit memory and duration of gdbus call. (CVE-2022-28654,
      CVE-2022-28656)
    - data/apport, apport/fileutils.py, test/test_fileutils.py: Validate
      D-Bus socket location. (CVE-2022-28655)
    - apport/fileutils.py, test/test_fileutils.py: Turn off interpolation
      in get_config() to prevent DoS attacks. (CVE-2022-28652)
    - Refactor duplicate code into search_map() function.
    - Switch from chroot to container to validating socket owner.
      (CVE-2022-1242, CVE-2022-28657)
    - data/apport: Clarify error message.
    - apport/fileutils.py: Fix typo in comment.
    - apport/fileutils.py: Do not call str in loop.
    - data/apport, etc/init.d/apport: Switch to using non-positional
      arguments. Get real UID and GID from the kernel and make sure they
      match the process. Also fix executable name space handling in
      argument parsing. (CVE-2022-28658, CVE-2021-3899)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 May 2022 09:23:35 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
  dh-translations,
- dh-systemd,
  gdb,
  python3-gi,
  gir1.2-glib-2.0 (>= 1.29.17),
@@ -12,7 +11,6 @@
  python3-all
 Build-Depends-Indep: python3-distutils-extra (>= 2.24~),
  python3-apt (>= 0.7.9),
- python3-requests-unixsocket,
  dh-python,
  intltool,
  xvfb,
@@ -32,7 +30,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.8
 X-Python3-Version: >= 3.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/groovy/apport/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/ubuntu/hirsute/apport/ubuntu
 Homepage: https://wiki.ubuntu.com/Apport
 
 Package: apport
@@ -78,7 +76,6 @@
  python3-apt (>= 0.7.9),
  python3-httplib2,
  python3-problem-report (>= 0.94),
- python3-requests-unixsocket,
  lsb-release,
  python3-launchpadlib,
  ${misc:Depends}

## apport 2.20.11-0ubuntu79

=== debian/changelog ===
apport (2.20.11-0ubuntu79) jammy; urgency=medium

  * kde/apport-kde: when displaying a progress dialog ensure that we are using
    an integer. (LP: #1964405)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Mar 2022 10:41:47 -0800

apport (2.20.11-0ubuntu78) jammy; urgency=medium

  [ Olivier Gayot ]
  * Expect whoopsie to be started using path-based activation.
  * Pass timeout option to apport-autoreport so that whoopsie has time to
    upload all reports.
  * Use timer-based activation for apport-autoreport in addition to path-based
    activation (on modification of /var/crash).
  * Some code cleanup in data/whoopsie-upload-all.
  * Use unbuffered logging in data/whoopsie-upload-all.
  * Touch the /var/crash directory in data/whoopsie-upload-all so that
    whoopsie activates when needed.
  * Stop removing .crash files after they are successfully uploaded by
    whoopsie.

  [ Brian Murray ]
  * When collecting information about a snap gather some additional details,
    thanks to Olivier Tilloy for the idea. (LP: #1960964)
  * Update the recommended version of whoopsie for apport-noui.

 -- Brian Murray <brian@ubuntu.com>  Tue, 22 Feb 2022 17:13:48 -0800

apport (2.20.11-0ubuntu77) jammy; urgency=medium

  * apport/ui.py: Error out when -w option is used on wayland (LP: #1952947).

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 15 Feb 2022 10:10:59 -0500

apport (2.20.11-0ubuntu76) jammy; urgency=medium

  * data/package-hooks/ubuntu-desktop-installer.py: Add in a new package hook
    which allows one to report bugs about the ubuntu-desktop-installer to the
    appropriate project. Thanks to Sebastien Bacher for this hook.
  * test/test_crashdb.py: convert the number to an integer before the truncate
    call.
  * test/test_backend_apt_dpkg.py: switch to using apt-helper instead of
    apt-key to import the ddebs and ports.ubuntu.com keys.

 -- Brian Murray <brian@ubuntu.com>  Tue, 25 Jan 2022 09:58:45 -0800

apport (2.20.11-0ubuntu75) jammy; urgency=medium

  * bin/apport-retrace: For releases which gdb doesn't search in the
    debug-file-directory for .gnu_debugaltlink create a symlink from the
    host's .dwz to the machine specific one to work around the issue.
    (LP: #1818918)

 -- Brian Murray <brian@ubuntu.com>  Mon, 13 Dec 2021 20:17:57 -0800

apport (2.20.11-0ubuntu74) jammy; urgency=medium

  [ Sebastien Bacher ]
  * apport/ui.py: preserve XDG_DATA_DIRS for system reports, it's necessary
    to be able to find a webbrowser installed from a snap like firefox.
    (LP: #1951214)

 -- Brian Murray <brian@ubuntu.com>  Wed, 01 Dec 2021 14:12:32 -0800

apport (2.20.11-0ubuntu73) jammy; urgency=medium

  * test/test_report.py: the abort tests are failing again as the backtrace
    didn't have a program counter value in frame 1 or 2 so also check frame 3.

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Nov 2021 11:13:17 -0700

apport (2.20.11-0ubuntu72) jammy; urgency=medium

  * etc/apport/crashdb.conf: Enable Launchpad crash reports for jammy.

 -- Brian Murray <brian@ubuntu.com>  Wed, 27 Oct 2021 05:35:34 -0700
